Skip to main content
GET
Get models for a large language model provider

Authorizations

X-API-Key
string
header
required

Supply the API Key in the HTTP-Header

Headers

Accept
enum<string>

The Accept header specifies the media type that the client expects in the response. Available options: application/json, application/hal+json, application/xml, text/xml, text/csv. The default value is application/json.

Available options:
application/json,
application/hal+json,
application/xml,
text/xml,
text/csv

Path Parameters

largeLanguageModelId
string
required

The unique identifier for the large language model.

Required string length: 24
Pattern: ^[a-z0-9]{24}$

Query Parameters

connectionRefId
string<uuid>
required

The identifier for the large language model connection.

Required string length: 36

Response

List with all the available models for that large language model.

availableModels
object[]
Last modified on July 24, 2026